/* Copyright 2015, 2017, 2019-2020 National Research Foundation (SARAO)
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation, either version 3 of the License, or (at your option) any
 * later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * @file
 *
 * Macros to control optional features
 */

#ifndef SPEAD2_COMMON_FEATURES_H
#define SPEAD2_COMMON_FEATURES_H

#define SPEAD2_MAJOR 3
#define SPEAD2_MINOR 11
#define SPEAD2_PATCH 1
#define SPEAD2_VERSION "3.11.1"

#define SPEAD2_USE_IBV 1
#define SPEAD2_USE_IBV_HW_RATE_LIMIT 1
#define SPEAD2_USE_MLX5DV 1
#define SPEAD2_USE_RECVMMSG 1
#define SPEAD2_USE_SENDMMSG 1
#define SPEAD2_USE_EVENTFD 1
#define SPEAD2_USE_PTHREAD_SETAFFINITY_NP 1
#define SPEAD2_USE_MOVNTDQ 1
#define SPEAD2_USE_POSIX_SEMAPHORES 1
#define SPEAD2_USE_PCAP 0

#endif // SPEAD2_COMMON_FEATURES_H
